import { createServer } from 'vite';
import portfinder from 'portfinder';
import path from 'path';
import { cliDir } from '../config.js';

async function main() {
    let port = await portfinder.getPortPromise({ port: 8000, stopPort: 9000 });

    const server = await createServer({
        // 任何合法的用户配置选项，加上 `mode` 和 `configFile`
        configFile: path.resolve(cliDir, 'vite.config.js'),
        server: {
            port: port
        }
    });
    await server.listen();

    server.printUrls();
}

export { main };
